%define product_family Anolis OS
%define base_release_version 8

Name:           anolis-rawhide-release
Version:        8
Release:        1%{?dist}
Summary:        Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration

Group:          System Environment/Base
License:        MulanPSLv2

Source0:        AnolisOS-Experimental.repo
source1:        AnolisOS-EPAO.repo

BuildArch:  noarch

%description
Experimental and EPAO Packages for %{product_family} %{base_release_version} repository configuration


%package -n anolis-experimental-release
Summary:        Experimental Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-experimental
BuildArch:      noarch
Requires:       anolis-release >=  %{version}
%description -n anolis-experimental-release
This package contains the Experimental Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%package -n anolis-epao-release
Summary:        EPAO Packages for %{product_family} %{base_release_version} repository configuration
Group:          System Environment/Base
Provides:       anolis-epao
BuildArch:      noarch
Requires:       anolis-release >=  %{version}
%description -n anolis-epao-release
This package contains the EPAO Packages for Anolis OS %{version} repository
GPG key as well as configuration for yum.

%prep
echo OK

%build
echo OK


%install
# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} %{SOURCE1}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d


%files -n anolis-experimental-release
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/AnolisOS-Experimental.repo


%files -n anolis-epao-release
%config(noreplace) /etc/yum.repos.d/AnolisOS-EPAO.repo

%changelog
* Tue Jul 12 2022 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8-1
- Add rawide-release for Anolis OS 8
